

kerio.waw.ui.userGroupList = {

x_m: function(x_n) {
var
x_fa = kerio.waw.shared.x_az,
x_fi = kerio.waw.shared.x_3e,
x_10s = kerio.waw.status,
x_2w = x_n + '_',
x_o = (kerio.waw.status.x_p.x_q === kerio.waw.shared.x_3r.x_s.x_t),
x_x = kerio.lib.x_x,
x_71 = ('x_43' === x_n),
x_1yq,
x_1yr,
x_1ys,
x_1yt,
x_12t,
x_1yu,
x_n9               = [],
x_1yv          = 'authType',
x_1yw = 'conflictWithLocal',
x_1df = {},
x_60, x_fz,
x_3l, x_5o;
x_10s.x_43 = {};
x_fa.x_v3 = x_fa.x_v3 || {};
x_fi.x_iq(
{
x_12i: x_x('Enabled', 'common'),
x_1yx: x_x('Disabled', 'common'),
x_1yy: x_x('Internal user database', 'userList'),
x_1yz: x_x('Active Directory®', 'userList'),
x_71: ('x_43' === x_n)
}, x_fa.x_v3
); 
if (x_71) {

x_12t = x_fi.x_8q.x_1c1;

x_1yq = function(x_1o, x_47) {
var
x_1c2 = x_47.localEnabled && x_47.adEnabled,
x_v3 = kerio.waw.shared.x_az.x_v3;
return {
x_cy: 'userStatus ' + (x_1c2 ? 'enabled' : 'disabled'),
x_47: (x_1c2) ? x_v3.x_12i : x_v3.x_1yx
};
}; 
x_1yr = function(x_1o) {
var x_v3 = kerio.waw.shared.x_az.x_v3;
return {
x_47: (kerio.waw.shared.x_3r.x_1c4.x_1c5 === x_1o)
? x_v3.x_1yy
: x_v3.x_1yz
};
}; 
x_1ys = function(x_1o) {
var
x_1z0,
x_1z1,
x_1kh,
x_41, x_42;
if (!x_1o) {
return { x_47: '' };
}
x_1z0 = [];
if (x_1o.firewall) {
x_1z0.push(kerio.waw.shared.x_az.x_v3.x_1t0);
}
x_1kh = x_1o.addresses;
if (x_1kh && x_1kh.enabled) {
x_1kh = x_1kh.value;
for (x_41 = 0, x_42 = x_1kh.length; x_41 < x_42; x_41++) {
x_1z0.push(x_1kh[x_41]);
} } x_1z1 = x_1o.addressGroup;
if (x_1z1 && x_1z1.enabled) {
x_1z0.push('[' + x_1z1.name + ']');
} return {
x_47: x_1z0.join(', ')
};
}; 
x_1yt = function(x_1o) {
var
x_1z2,
x_41, x_42;
if (!x_1o || Array !== x_1o.constructor || (0 === x_1o.length)) {
return {
x_47: ''
};
}
x_1z2 = [];
for (x_41 = 0, x_42 = x_1o.length; x_41 < x_42; x_41++) {
x_1z2.push(x_1o[x_41].name);
}
return {
x_47: x_1z2.join(', ')
};
}; 
x_1yu = function(x_1o) {
var x_1wu = (x_1o && x_1o.enabled);
return {
x_47: (x_1wu) ? x_1o.value : ''
};
}; } else { 
x_12t = x_fi.x_8q.x_ct;
} 
if (x_71) {
x_n9 = [
{x_7s: 'userName',         x_23:    x_x('Username', 'common')                  , x_1u: 180  , x_7u: x_12t},
{x_7s: 'fullName',         x_23:    x_x('Full Name', 'common')                   , x_1u: 180},
{x_7s: 'description',      x_23:    x_x('Description', 'common')                   , x_1u: 180},
{x_7s: 'groups',           x_23:    x_x('Groups', 'userList')                      , x_1u: 180  , x_7u: x_1yt},
{x_7s: 'localEnabled',     x_23:    x_x('Account Status', 'userList')              , x_1u: 130   , x_7u: x_1yq  , x_1m: true},
{x_7s: x_1yv, x_23:    x_x('Authentication Type', 'userList')         , x_1u: 180  , x_7u: x_1yr       , x_1m: true},
{x_7s: 'vpnAddress',       x_23:    x_x('Static VPN Client Address', 'userList')   , x_1u: 200  , x_7u: x_1yu     , x_1m: true},
{x_7s: 'autoLogin',        x_23:    x_x('Automatic Login', 'userList')             , x_1u: 250  , x_7u: x_1ys      , x_1m: true},
{x_7s: 'id',                        x_7t: true},
{x_7s: 'credentials',               x_7t: true},
{x_7s: 'adEnabled',                 x_7t: true},
{x_7s: 'email',                     x_7t: true},
{x_7s: 'useTemplate',               x_7t: true},
{x_7s: 'data',                      x_7t: true},
{x_7s: x_1yw, x_7t: true}
];
}
else {
x_n9 = [
{x_7s: 'name',           x_23:    x_x('Name', 'common')                  , x_1u: 180  , x_7u: x_12t},
{x_7s: 'description',    x_23:    x_x('Description', 'common')           , x_1u: 180},
{x_7s: 'id',             x_7t: true},
{x_7s: 'members',        x_7t: true},
{x_7s: 'rights',         x_7t: true}
];
}
if (!x_o) {

x_1df.x_9t = function(x_32, x_9u, x_1z3, x_fk) {
var
x_9r = x_32.x_9r,
x_3l = x_32.x_3m;
kerio.waw.status.x_43.x_9r = x_9r;
x_3l.x_32.x_3b(['x_56', 'x_1o3'], x_9r);
x_3l.x_4o = !x_9r;
}; } x_fz = {
x_1p: 'userList',
x_gx: {
x_a2: {
x_gc: ''
},
x_1z4: {
x_gc: x_x('Some user accounts are not functioning, autentication by Active Directory® and by Windows NT® domain is not active.', 'userGroupList'),
x_cy: 'userMessage info'
},
x_1z5: {
x_gc: x_x('Some user names are in conflict with users in the local user database. Do you want to solve all conflicts?', 'userGroupList'),
x_cy: 'userMessage warning',
x_js: {
x_gc: x_x('Click here…', 'common'),

x_25: function(x_60) {
var
x_3l = this.x_3m,
x_x = kerio.lib.x_x;
kerio.lib.x_4b(
x_x('Convert User Accounts', 'userList'),
x_x('Some user names are in conflict with users in the local user database. Unless such users specify domain name within their login, they are logged in as a local database users. This behavior can be undesirable. When conflicts are solved, the user account is removed from the local database and its settings are merged with the settings of the account from this domain.', 'userList')
+ '<br><br><b>'
+ x_x('Do you want to solve all conflicts now?', 'userList')
+'</b>',
x_3l.x_1z6,
x_3l
); }
}
}
},
x_gz: 'x_a2'
};
x_60 = new kerio.lib.x_h1(x_2w + 'x_60', x_fz);
x_5o = {
x_o: x_o,
x_5q: false,
x_1p: (x_71) ? 'userList' : 'groupList',
x_4w: false,
x_5y: 50,
x_5x: {
x_d2: {
x_1z7: true
},
x_1e: x_n9
}, x_6h: {
x_5g:     (x_71) ? 'userEditor' : 'userGroupEditor',
x_6i:  (x_71) ? 'x_c1'  : 'x_e0',
x_6k: (x_71) ? 'x_c2' : 'x_e1',
x_6j: (x_71) ? 'x_c3' : 'x_1z8'
},
x_6m: (x_71) ? 'userIds' : 'groupIds',
x_60: x_60,
x_65: {
x_68: (x_71) ? 'users' : 'groups',
x_66: {
object: (x_71) ? 'UserManager' : 'UserGroupManager'
}
}, x_63: (x_71 ? new kerio.waw.shared.x_17.x_ap(x_2w + 'x_5n', x_1df)
: new kerio.waw.shared.x_17.x_9s(x_2w + 'x_5n', x_1df)),

x_2d: function(x_3l) {
if (x_3l.x_71) {
x_3l.x_75();
}
kerio.waw.shared.x_3e.x_3j();
} }; if (x_71) {
x_5o.x_32 = {
x_5a: [
'->',
{x_1j: 'x_1z9', x_23: x_x('Template…', 'userList'),

x_25: function(x_32){
var x_5d = x_32.x_3m;
kerio.lib.x_5l.x_5m({
x_5g: 'userTemplateEditor',
x_28: {	x_8e: x_5d.x_5n.x_8c,
x_5d: x_5d}
});
} },
{x_1j: 'x_1o3', x_23: x_x('Import…', 'common'), x_1m: x_o,

x_25: function(x_32){
kerio.lib.x_5l.x_5m({
x_5g: 'userImportServer',
x_28: {
x_7w: x_32.x_3m
}
});
} }
]
};
}
x_3l = new kerio.waw.shared.x_17.x_3c(x_n, x_5o);
x_3l.x_1za.on('beforeload', function() {kerio.waw.shared.x_3e.x_3f();}, this);
x_3l.x_27({
x_71: x_71,
x_72: ('x_44' === x_n),
x_1yv: x_1yv,
x_1yw: x_1yw,
x_j4: {
x_6a: '/admin/stub/dataMiner.php',
x_6p: 'post',
x_28: {
},
x_2q: x_3l
}
});
x_3l.x_5v.x_64.x_85(false);
this.x_2a(x_3l);
return x_3l;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function () {
var x_ad = kerio.waw.status.x_43;
kerio.waw.shared.x_3e.x_3f();
x_ad.x_ai = false;
x_ad.x_aj = false;
if (!kerio.waw.status.x_9x) {
kerio.waw.status.x_9x = {x_8e: kerio.waw.shared.x_3r.x_3s.x_77};
}
this.x_32.x_3b('x_1z9', true);
this.x_1zb();
}; 
x_2b.x_1zb = function () {
var
x_5n = this.x_5n,
x_8e = kerio.waw.status.x_9x.x_8e,
x_9g = x_5n.x_9g;
if (this.x_71) {
this.x_60.x_ix('x_a2');
}
x_5n.x_9e(this); if (x_5n.x_1q) {
x_5n.x_1q.x_9w(false);
}
x_5n.x_9a.x_9w('');
if (x_9g.x_ao(x_8e)) {
x_9g.x_9w(x_8e);
}
else {
x_9g.x_9w(kerio.waw.shared.x_3r.x_3s.x_77);
}
}; 
x_2b.x_1z6 = function (x_6v) {
var
x_j4    = this.x_j4,
x_66 = x_j4.x_28;
if ('no' === x_6v) {
return;
}
kerio.waw.shared.x_3e.x_3f(undefined, {
x_1n: kerio.lib.x_x('Merging local users into this domain…', 'userGroupList')
});
x_66.object = 'UserManager';
x_66.method = 'convertLocalUsers';
x_66.params = kerio.lib.x_6r({domainId: this.x_5n.x_8c});  x_j4.x_qj = true;
kerio.lib.x_6t.x_6u(x_j4);
}; 
x_2b.x_1zc = function (x_6v) {
if (!x_6v.x_6x) {
return;
}
kerio.waw.shared.x_3e.x_3j();
this.x_1zb();
}; x_2b.x_j4.x_2e = x_2b.x_1zc;

x_2b.x_75 = function() {
var
x_1mz = 'x_a2',
x_3l = this,
x_ad = kerio.waw.status.x_43,
x_fl;
if (!x_3l.x_71) {
return;
}
if (x_ad.x_9r) {
if (!x_ad.x_ai && !x_ad.x_aj) {
x_fl = x_3l.x_1dq(x_3l.x_1yv, kerio.waw.shared.x_3r.x_1c4.x_1x1);
if (-1 !== x_fl) {
x_1mz = 'x_1z4';
}
}
}
else {
x_fl = x_3l.x_1dq(x_3l.x_1yw, true);
if (-1 !== x_fl) {
x_1mz = 'x_1z5';
}
}
this.x_60.x_ix(x_1mz);
kerio.waw.shared.x_3e.x_3j();
}; } }; 